package com.hr.repository.service;

import com.hr.param.InterfaceCalledQueryParam;
import com.hr.repository.domain.IpOrderPO;
import com.hr.vo.*;
import com.yy.basedevelop.common.data.BasePageResult;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * 调用记录表;(ip_order)表服务接口
 * @author : http://www.yonsum.com
 * @date : 2025-10-10
 */
public interface IpOrderService{
    
    /** 
     * 通过ID查询单条数据 
     *
     * @param oid 主键
     * @return 实例对象
     */
    IpOrderVO queryById(Long oid);
    
    /**
     * 分页查询
     *
     * @param IpOrderPO 筛选条件
     * @param current 当前页码
     * @param size  每页大小
     * @return
     */
    Page<IpOrderPO> paginQuery(IpOrderPO IpOrderPO, Integer current, Integer size);
    /** 
     * 新增数据
     *
     * @param IpOrderPO 实例对象
     * @return 实例对象
     */
    void insert(IpOrderPO IpOrderPO);
    /** 
     * 更新数据
     *
     * @param IpOrderPO 实例对象
     * @return 实例对象
     */
    void update(IpOrderPO IpOrderPO);
    /** 
     * 通过主键删除数据
     *
     * @param oid 主键
     * @return 是否成功
     */
    boolean deleteById(Long oid);

    BasePageResult<IpInterfaceCallVO> queryList(InterfaceCalledQueryParam ipInterfaceCalledQueryParam);

    InterfaceCalledDetail interfaceDetail(Long id);

    List<CallbackHistoryVO> callbackHistory(long id);
}